# Uses of Interface
javax.sql.rowset.Predicate

Packages that use Predicate
Package
Description
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.

## Uses of Predicate in javax.sql.rowset

Methods in javax.sql.rowset that return Predicate
Modifier and Type
Method
Description
`Predicate`
FilteredRowSet.`getFilter()`
Retrieves the active filter for this `FilteredRowSet` object.
Methods in javax.sql.rowset with parameters of type Predicate
Modifier and Type
Method
Description
`void`
FilteredRowSet.`setFilter​(Predicate p)`
Applies the given `Predicate` object to this `FilteredRowSet` object.